Privilege escalation in Intel BIOS firmware for BIG-IP



Published: 2022-06-23
Risk Low
Patch available NO
Number of vulnerabilities 1
CVE-ID CVE-2021-0154
CWE-ID CWE-20
Exploitation vector Local
Public exploit N/A
Vulnerable software
Subscribe
BIG-IP
Hardware solutions / Firmware

Vendor F5 Networks, Inc.

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) Input validation error

EUVDB-ID: #VU63081

Risk: Low

CVSSv3.1: 7.5 [CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H/E:U/RL:U/RC:C]

CVE-ID: CVE-2021-0154

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to insufficient validation of user-supplied input in the BIOS firmware. A local user can escalate privileges on the system.

Mitigation

Cybersecurity Help is currently unaware of any official solution to address this vulnerability.

The following F5 hardware platforms are vulnerable to CVE-2021-0154:

  • BIG-IP i850
  • BIG-IP i2000 series
  • BIG-IP i4000 series
  • BIG-IP i5000 series
  • BIG-IP i7000 series
  • BIG-IP i10000 series
  • BIG-IP i11000 series
  • BIG-IP i15000 series
  • VIPRION B4450N

Vulnerable software versions

BIG-IP: 13.1.0 - 17.0.0


CPE2.3 External links

http://support.f5.com/csp/article/K16162257

Q & A

Can this vulnerability be exploited remotely?

No. This vulnerability can be exploited locally. The attacker should have authentication credentials and successfully authenticate on the system.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###